/**
 * Copyright © 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.deductionshowdetails.entity;


import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * DeductionShowDetailsEntity
 * @author 邱悦
 * @version 2022-01-02
 */
public class DeductionShowDetails extends DataEntity<DeductionShowDetails> {
	
	private static final long serialVersionUID = 1L;
	private String unitId;		// 施工单位Id
	private String classId;		// 大类Id
	private String subClassId;		// 小类Id
	private String yearOfEvaluation;		// 年份
	private String unitName;		// 名称
	private String bigName;		// 大类名称
	private String serialNumber;		// 小类序号
	private String smallName;		// 小类名称
	private String deductPoints;		// 扣分分数
	private String deductionDetails;		// 扣分详情
	private String deductionDate;		// 扣分日期
	private String veto;		// 是否否决
	
	public DeductionShowDetails() {
		super();
	}

	public DeductionShowDetails(String id){
		super(id);
	}

	public String getUnitId() {
		return unitId;
	}

	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}
	
	public String getClassId() {
		return classId;
	}

	public void setClassId(String classId) {
		this.classId = classId;
	}
	
	public String getSubClassId() {
		return subClassId;
	}

	public void setSubClassId(String subClassId) {
		this.subClassId = subClassId;
	}
	
	@ExcelField(title="年份", align=2, sort=1)
	public String getYearOfEvaluation() {
		return yearOfEvaluation;
	}

	public void setYearOfEvaluation(String yearOfEvaluation) {
		this.yearOfEvaluation = yearOfEvaluation;
	}
	
	@ExcelField(title="名称", align=2, sort=2)
	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	
	@ExcelField(title="大类名称", align=2, sort=3)
	public String getBigName() {
		return bigName;
	}

	public void setBigName(String bigName) {
		this.bigName = bigName;
	}
	
	@ExcelField(title="小类序号", align=2, sort=4)
	public String getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}
	
	@ExcelField(title="小类名称", align=2, sort=5)
	public String getSmallName() {
		return smallName;
	}

	public void setSmallName(String smallName) {
		this.smallName = smallName;
	}
	
	@ExcelField(title="扣分分数", align=2, sort=6)
	public String getDeductPoints() {
		return deductPoints;
	}

	public void setDeductPoints(String deductPoints) {
		this.deductPoints = deductPoints;
	}
	
	@ExcelField(title="扣分详情", align=2, sort=7)
	public String getDeductionDetails() {
		return deductionDetails;
	}

	public void setDeductionDetails(String deductionDetails) {
		this.deductionDetails = deductionDetails;
	}
	
	@ExcelField(title="扣分日期", align=2, sort=8)
	public String getDeductionDate() {
		return deductionDate;
	}

	public void setDeductionDate(String deductionDate) {
		this.deductionDate = deductionDate;
	}
	
	@ExcelField(title="是否否决", align=2, sort=9)
	public String getVeto() {
		return veto;
	}

	public void setVeto(String veto) {
		this.veto = veto;
	}
	
}